# pandas.infer_freq

pandas.infer_freq(index, warn=True)

  Infer the most likely frequency given the input index. If the frequency is uncertain, a warning will be printed.

  Parameters
    index DatetimeIndex or TimedeltaIndex

      If passed a Series will use the values of the series (NOT THE INDEX).

    warn bool, default True
  Returns
    str or None

      None if no discernible frequency.

  Raises
    TypeError

      If the index is not datetime-like.

    ValueError

      If there are fewer than three values.

  Examples

      >>> idx = pd.date_range(start='2020/12/01', end='2020/12/30', periods=30)
      >>> pd.infer_freq(idx)
      'D'